<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Dashboard extends CI_Controller {
	function index(){
		
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$post = $this->input->post();
		$this->load->model('dashboard/data_dashboard','indikator');
		if(!empty($post)){
			$tahun_perkara=$this->input->post('tahun');
			$bulan_perkara=$this->input->post('bulan');
		}else{
			$tahun_perkara=date('Y');
			$bulan_perkara=date('m');
		}

			if($tahun_perkara=='') $tahun_perkara= date("Y");
			if($bulan_perkara=='') $bulan_perkara= date("m");
			$blnlalu = intval($bulan_perkara - 1);
			$blndepan = intval($bulan_perkara + 1);
			if(strlen($blnlalu)==1) $blnlalu='0'.$blnlalu;
			if(strlen($bulan_perkara)==1) $bulan_perkara='0'.$bulan_perkara;
			if(strlen($blndepan)==1) $blndepan='0'.$blndepan;

			$bulanlalu = $tahun_perkara .'-'.$blnlalu;
			$tahunlalu = $tahun_perkara;
			$bulanini = $tahun_perkara .'-'.$bulan_perkara;
			$tahunini = $tahun_perkara;
			$bulandepan = $tahun_perkara.'-'.$blndepan;
			$tahundepan = $tahun_perkara;
			if($bulan_perkara==12)
			{ 
				$blndepan = 1;
				$tahundepan = intval($tahun_perkara+1);
				$bulandepan = $tahundepan.'-01';
			}
			if($bulan_perkara=='01')
			{ 
				$blnlalu = 12;
				$tahunlalu = intval($tahun_perkara-1);
				$bulanlalu = $tahunlalu.'-12';
			}		
		
		$data['tahun_perkara']=$this->indikator->tahun_perkara();
		$data['tahun_terpilih']=$tahun_perkara;
		$data['bulan_terpilih']=$bulan_perkara;
		$data['bulanini']=$bulanini;
		$data['bulandepan']=$bulandepan;
		$data['nama_bulan']=array('01'=>'Januari', '02'=>'Februari', '03'=>'Maret', '04'=>'April', 
							'05'=>'Mei', '06'=>'Juni', '07'=>'Juli', '08'=>'Agustus', '09'=>'September', 
							'10'=>'Oktober', '11'=>'November', '12'=>'Desember');
		$data['data_keyindikator']=$this->indikator->get_data_indikator($bulanini,$bulandepan);
		$this->load->view('header');
		$this->load->vars($data);
		$this->load->view('dashboard/dashboard');
		$this->load->view('footer');
	}
}
